include:
  - gnuviechadmin.redis

gnuviechadmin:
  ssh_known_hosts: |
      nextgit.gnuviech-server.de ecdsa-sha2-nistp256 AAAAE2VjZHNhLXNoYTItbmlzdHAyNTYAAAAIbmlzdHAyNTYAAABBBESb6Q0nyvx82wJ0S6Jx7ZvY6wJzuwqh2zWOlXzLDcor8Pu5iLqUn5GywS0ooyl3Hkyn983R6Zdr49zgTroRwQA=
  deploymenttype: local
  mailfrom: admin@gnuviech-server.de
  adminname: Gnuviech Admin
  adminemail: admin@gnuviech-server.de
  sitename: Gnuviech Customer Self Service
  domainname: localhost
  minosuid: 10000
  minosgid: 10000
  osuserprefix: usr
  osuserhomedirbase: /home
  osuserdefaultshell: /usr/bin/rssh
  uploadserver: file
  ldap_base_dn: dc=gva,dc=local
  ldap_base_dn_groups: ou=groups,dc=gva,dc=local
  ldap_base_dn_users: ou=groups,dc=gva,dc=local
  ldap_domain: gva.local
  ldap_url: ldap://ldap
  machines:
    salt:
      ip: 172.16.4.10
    mq:
      ip: 172.16.4.20
    syslog:
      ip: 172.16.4.30
    pgsql:
      ip: 172.16.4.40
      names:
        - pgsql
        - gvapgsql
    dns:
      ip: 172.16.4.50
    ldap:
      ip: 172.16.4.60
      names:
        - ldap
        - gvaldap
    file:
      ip: 172.16.4.70
      names:
        - file
        - gvafile
    mail:
      ip: 172.16.4.80
    mysql:
      ip: 172.16.4.90
      names:
        - mysql
        - gvamysql
    web:
      ip: 172.16.4.100
      names:
        - web
        - gvaweb
    service:
      ip: 172.16.4.110
      names:
        - service
        - gva
