{% from 'gnuviechadmin/vars.sls' import home, appdir, venv %}

gnuviechadmin-dbschema:
  cmd.wait:
    - name: . {{ home }}/gvasettings.sh ; unset LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER LC_TELEPHONE LC_TIME ; {{ venv }}/bin/python manage.py migrate --noinput
    - runas: vagrant
    - cwd: {{ appdir }}
    - watch:
      - cmd: gnuviechadmin-requires
      - file: {{ home }}/gvasettings.sh

gnuviechadmin-locale-data-compile:
  cmd.wait:
    - name: . {{ home }}/gvasettings.sh ; {{ venv }}/bin/python {{ appdir }}/manage.py compilemessages
    - runas: vagrant
    - cwd: {{ appdir }}
    - require:
      - pkg: gnuviechadmin-packages
      - file: {{ home }}/gvasettings.sh
      - cmd: gnuviechadmin-venv
