{% if grains.saltversion == "3000" %}
patch:
  pkg.installed

mysql_module_patch:
  file.patch:
    - name: '{{ grains.saltpath }}'
    - source: salt://patches/files/3000-mysql.diff
    - strip: 2
    - require:
        - pkg: patch

restart_salt_minion:
  cmd.run:
    - name: 'salt-call service.restart salt-minion'
    - bg: true
    - onchanges:
      - file: mysql_module_patch
{%- endif %}
